package config

import (
	"github.com/qsfera/server/pkg/shared"
	activitylog "github.com/qsfera/server/services/activitylog/pkg/config/defaults"
	antivirus "github.com/qsfera/server/services/antivirus/pkg/config/defaults"
	appProvider "github.com/qsfera/server/services/app-provider/pkg/config/defaults"
	appRegistry "github.com/qsfera/server/services/app-registry/pkg/config/defaults"
	audit "github.com/qsfera/server/services/audit/pkg/config/defaults"
	authapp "github.com/qsfera/server/services/auth-app/pkg/config/defaults"
	authbasic "github.com/qsfera/server/services/auth-basic/pkg/config/defaults"
	authbearer "github.com/qsfera/server/services/auth-bearer/pkg/config/defaults"
	authmachine "github.com/qsfera/server/services/auth-machine/pkg/config/defaults"
	authservice "github.com/qsfera/server/services/auth-service/pkg/config/defaults"
	clientlog "github.com/qsfera/server/services/clientlog/pkg/config/defaults"
	collaboration "github.com/qsfera/server/services/collaboration/pkg/config/defaults"
	eventhistory "github.com/qsfera/server/services/eventhistory/pkg/config/defaults"
	frontend "github.com/qsfera/server/services/frontend/pkg/config/defaults"
	gateway "github.com/qsfera/server/services/gateway/pkg/config/defaults"
	graph "github.com/qsfera/server/services/graph/pkg/config/defaults"
	groups "github.com/qsfera/server/services/groups/pkg/config/defaults"
	idm "github.com/qsfera/server/services/idm/pkg/config/defaults"
	idp "github.com/qsfera/server/services/idp/pkg/config/defaults"
	invitations "github.com/qsfera/server/services/invitations/pkg/config/defaults"
	nats "github.com/qsfera/server/services/nats/pkg/config/defaults"
	notifications "github.com/qsfera/server/services/notifications/pkg/config/defaults"
	ocm "github.com/qsfera/server/services/ocm/pkg/config/defaults"
	ocs "github.com/qsfera/server/services/ocs/pkg/config/defaults"
	policies "github.com/qsfera/server/services/policies/pkg/config/defaults"
	postprocessing "github.com/qsfera/server/services/postprocessing/pkg/config/defaults"
	proxy "github.com/qsfera/server/services/proxy/pkg/config/defaults"
	search "github.com/qsfera/server/services/search/pkg/config/defaults"
	settings "github.com/qsfera/server/services/settings/pkg/config/defaults"
	sharing "github.com/qsfera/server/services/sharing/pkg/config/defaults"
	sse "github.com/qsfera/server/services/sse/pkg/config/defaults"
	storagepublic "github.com/qsfera/server/services/storage-publiclink/pkg/config/defaults"
	storageshares "github.com/qsfera/server/services/storage-shares/pkg/config/defaults"
	storageSystem "github.com/qsfera/server/services/storage-system/pkg/config/defaults"
	storageusers "github.com/qsfera/server/services/storage-users/pkg/config/defaults"
	thumbnails "github.com/qsfera/server/services/thumbnails/pkg/config/defaults"
	userlog "github.com/qsfera/server/services/userlog/pkg/config/defaults"
	users "github.com/qsfera/server/services/users/pkg/config/defaults"
	web "github.com/qsfera/server/services/web/pkg/config/defaults"
	webdav "github.com/qsfera/server/services/webdav/pkg/config/defaults"
	webfinger "github.com/qsfera/server/services/webfinger/pkg/config/defaults"
)

func DefaultConfig() *Config {
	return &Config{
		QsferaURL: "https://localhost:9200",
		Runtime: Runtime{
			Port:          "9250",
			Host:          "localhost",
			ShutdownOrder: []string{"proxy"},
		},
		Reva: &shared.Reva{
			Address: "qsfera.api.gateway",
		},

		Activitylog:       activitylog.DefaultConfig(),
		Antivirus:         antivirus.DefaultConfig(),
		AppProvider:       appProvider.DefaultConfig(),
		AppRegistry:       appRegistry.DefaultConfig(),
		Audit:             audit.DefaultConfig(),
		AuthApp:           authapp.DefaultConfig(),
		AuthBasic:         authbasic.DefaultConfig(),
		AuthBearer:        authbearer.DefaultConfig(),
		AuthMachine:       authmachine.DefaultConfig(),
		AuthService:       authservice.DefaultConfig(),
		Clientlog:         clientlog.DefaultConfig(),
		Collaboration:     collaboration.DefaultConfig(),
		EventHistory:      eventhistory.DefaultConfig(),
		Frontend:          frontend.DefaultConfig(),
		Gateway:           gateway.DefaultConfig(),
		Graph:             graph.DefaultConfig(),
		Groups:            groups.DefaultConfig(),
		IDM:               idm.DefaultConfig(),
		IDP:               idp.DefaultConfig(),
		Invitations:       invitations.DefaultConfig(),
		Nats:              nats.DefaultConfig(),
		Notifications:     notifications.DefaultConfig(),
		OCM:               ocm.DefaultConfig(),
		OCS:               ocs.DefaultConfig(),
		Postprocessing:    postprocessing.DefaultConfig(),
		Policies:          policies.DefaultConfig(),
		Proxy:             proxy.DefaultConfig(),
		Search:            search.DefaultConfig(),
		Settings:          settings.DefaultConfig(),
		Sharing:           sharing.DefaultConfig(),
		SSE:               sse.DefaultConfig(),
		StoragePublicLink: storagepublic.DefaultConfig(),
		StorageShares:     storageshares.DefaultConfig(),
		StorageSystem:     storageSystem.DefaultConfig(),
		StorageUsers:      storageusers.DefaultConfig(),
		Thumbnails:        thumbnails.DefaultConfig(),
		Userlog:           userlog.DefaultConfig(),
		Users:             users.DefaultConfig(),
		Web:               web.DefaultConfig(),
		WebDAV:            webdav.DefaultConfig(),
		Webfinger:         webfinger.DefaultConfig(),
	}
}
